CommetCommet
GitHubDiscordStatus
Create market POSTDelete market DELETEGet market GETList markets GETUpdate market PATCH
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

List markets

List reusable country groups that resolve market-specific prices independently from currency.

GET
/markets

List reusable country groups that resolve market-specific prices independently from currency.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/markets"
{  "object": "list",  "data": [    {      "id": "market_1a2b3c4d",      "name": "North America",      "countryCodes": [        "US",        "CA"      ],      "metadata": {},      "createdAt": "2026-09-07T12:00:00.000Z",      "updatedAt": "2026-09-07T12:00:00.000Z",      "object": "market",      "livemode": false    }  ],  "hasMore": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Get market GET

Get one reusable market.

Update market PATCH

Replace the name, countries, and metadata of a market.